<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$germinador=$sessao->getVar('controle');
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
             
			 
			 //cabecalho
			 
     			$pdf->Cell(140,5,'aqui vao dados do cabecalho',1,1,'C');//lab nome
     			$pdf->Cell(140,5,'aqui vao dados do cabecalho',1,1,'C');//lab nome
     			$pdf->Cell(140,5,'aqui vao dados do cabecalho',1,1,'C');//lab nome
     			$pdf->Cell(140,5,'GERMINADOR: '.$germinador,1,1,'C');//lab nome


			    $pdf->Cell(10,5,'Max',1,0,'L');//lab nome
			    $pdf->Cell(10,5,'Min',1,0,'L');//lab nome
			    $pdf->Cell(10,5,'Atual',1,0,'L');//lab nome
			    $pdf->Cell(55,5,'Data/Hora',1,0,'L');//lab nome
			    $pdf->Cell(55,5,'Assinatura',1,1,'L');//lab nome

	

			 //ENTRA DE QUAKQUER MANEIRA
			$generica=new tabelagenerica();
			$generica->extras_select =" select * from  controletemperatura where tem_germinador='".$germinador."'  && tem_labo=".$idLabo;
			$generica->selecionaCamposEspecial($generica);
			while ($resgenerica= $generica->retornaDados()):
			    $pdf->Cell(10,5,$resgenerica->tem_max,1,0,'L');//lab nome
			    $pdf->Cell(10,5,$resgenerica->tem_min,1,0,'L');//lab nome
			    $pdf->Cell(10,5,$resgenerica->tem_atual,1,0,'L');//lab nome
			    $pdf->Cell(55,5,date("d/m/Y",strtotime($resgenerica->tem_datacad))." Hora: " . date("H:i",strtotime($resgenerica->tem_datacad)),1,0,'L');//lab nome
			    $pdf->Cell(55,5,' ',1,1,'L');//lab nome
				//printf('<td class="center"> <a href="?m=saidasforrageiras&t=operacaoGeral&idCult=%s" title="Editar"><img src="images/selection1.png" alt="Editar" /></a> </td>',$resgenerica->ctv_id);
			endwhile; 
			
			
			//$pdf->Line($margemEsquerda,$cota1,$margemDireita,$cota1);//linha externa superior	
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
		
		
?>
